Create a Location
curl --request POST \
--url https://api.framen.com/vendor/{org_token}/locations \
--header 'Content-Type: application/json' \
--data '
{
"location_id": "<string>",
"title": "<string>",
"venue_type_id": "<string>",
"lat": 123,
"long": 123,
"opening_168": {},
"visitors_7": {},
"archived": true,
"email": "<string>",
"phone": "<string>"
}
'import requests
url = "https://api.framen.com/vendor/{org_token}/locations"
payload = {
"location_id": "<string>",
"title": "<string>",
"venue_type_id": "<string>",
"lat": 123,
"long": 123,
"opening_168": {},
"visitors_7": {},
"archived": True,
"email": "<string>",
"phone": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
location_id: '<string>',
title: '<string>',
venue_type_id: '<string>',
lat: 123,
long: 123,
opening_168: {},
visitors_7: {},
archived: true,
email: '<string>',
phone: '<string>'
})
};
fetch('https://api.framen.com/vendor/{org_token}/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.framen.com/vendor/{org_token}/locations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'location_id' => '<string>',
'title' => '<string>',
'venue_type_id' => '<string>',
'lat' => 123,
'long' => 123,
'opening_168' => [
],
'visitors_7' => [
],
'archived' => true,
'email' => '<string>',
'phone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.framen.com/vendor/{org_token}/locations"
payload := strings.NewReader("{\n \"location_id\": \"<string>\",\n \"title\": \"<string>\",\n \"venue_type_id\": \"<string>\",\n \"lat\": 123,\n \"long\": 123,\n \"opening_168\": {},\n \"visitors_7\": {},\n \"archived\": true,\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.framen.com/vendor/{org_token}/locations")
.header("Content-Type", "application/json")
.body("{\n \"location_id\": \"<string>\",\n \"title\": \"<string>\",\n \"venue_type_id\": \"<string>\",\n \"lat\": 123,\n \"long\": 123,\n \"opening_168\": {},\n \"visitors_7\": {},\n \"archived\": true,\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.framen.com/vendor/{org_token}/locations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"location_id\": \"<string>\",\n \"title\": \"<string>\",\n \"venue_type_id\": \"<string>\",\n \"lat\": 123,\n \"long\": 123,\n \"opening_168\": {},\n \"visitors_7\": {},\n \"archived\": true,\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyCreate a Location
Register a new physical location in your organization.
POST
/
vendor
/
{org_token}
/
locations
Create a Location
curl --request POST \
--url https://api.framen.com/vendor/{org_token}/locations \
--header 'Content-Type: application/json' \
--data '
{
"location_id": "<string>",
"title": "<string>",
"venue_type_id": "<string>",
"lat": 123,
"long": 123,
"opening_168": {},
"visitors_7": {},
"archived": true,
"email": "<string>",
"phone": "<string>"
}
'import requests
url = "https://api.framen.com/vendor/{org_token}/locations"
payload = {
"location_id": "<string>",
"title": "<string>",
"venue_type_id": "<string>",
"lat": 123,
"long": 123,
"opening_168": {},
"visitors_7": {},
"archived": True,
"email": "<string>",
"phone": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
location_id: '<string>',
title: '<string>',
venue_type_id: '<string>',
lat: 123,
long: 123,
opening_168: {},
visitors_7: {},
archived: true,
email: '<string>',
phone: '<string>'
})
};
fetch('https://api.framen.com/vendor/{org_token}/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.framen.com/vendor/{org_token}/locations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'location_id' => '<string>',
'title' => '<string>',
'venue_type_id' => '<string>',
'lat' => 123,
'long' => 123,
'opening_168' => [
],
'visitors_7' => [
],
'archived' => true,
'email' => '<string>',
'phone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.framen.com/vendor/{org_token}/locations"
payload := strings.NewReader("{\n \"location_id\": \"<string>\",\n \"title\": \"<string>\",\n \"venue_type_id\": \"<string>\",\n \"lat\": 123,\n \"long\": 123,\n \"opening_168\": {},\n \"visitors_7\": {},\n \"archived\": true,\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.framen.com/vendor/{org_token}/locations")
.header("Content-Type", "application/json")
.body("{\n \"location_id\": \"<string>\",\n \"title\": \"<string>\",\n \"venue_type_id\": \"<string>\",\n \"lat\": 123,\n \"long\": 123,\n \"opening_168\": {},\n \"visitors_7\": {},\n \"archived\": true,\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.framen.com/vendor/{org_token}/locations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"location_id\": \"<string>\",\n \"title\": \"<string>\",\n \"venue_type_id\": \"<string>\",\n \"lat\": 123,\n \"long\": 123,\n \"opening_168\": {},\n \"visitors_7\": {},\n \"archived\": true,\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyCreate a Location
Register a new physical location in your organization. The location will initially be created with aDRAFT status and must be approved before screens can be deployed.
Locations go through an approval process: DRAFT -> REVIEW -> APPROVED. Providing all “required for Review” fields automatically moves the status to REVIEW. FRAMEN then performs the approval.
Your unique identifier for this location. If not provided, one will be assigned automatically.
Must be a level 2 venue type ID from the Venue Types endpoint. Required for Review.
Hourly opening schedule for one week (168 booleans). Index 0 = Monday 00:00. Required for Review.
Example Request
curl -X POST https://api.framen.com/vendor/{org_token}/locations \
-H "Content-Type: application/json" \
-d '{
"location_id": "Loc_MyCustomId123",
"title": "Berlin Hauptbahnhof",
"venue_type_id": "205",
"lat": 52.5251,
"long": 13.3694,
"opening_168": [true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, false, false, false, false, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, false, false, false, false, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, false, false, false, false, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, false, false, false, false, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, false, false, false, false, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, false, false, false, false, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, false, false, false, false],
"visitors_7": [500, 600, 700, 800, 900, 1000, 400]
}'
Last modified on June 8, 2026